/*
 * This file is part of hp-utils.
 * Copyright (C) 2008 Michael Denk
 *
 * hp-utils is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * hp-utils is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with hp-utils; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Michael Denk
 */

#define STATUS_PRINTER_UNKNOWN "unknown"
#define STATUS_PRINTER_STRINGS \
	/* 0 */ "idle", \
	/* 1 */ "busy", \
	/* 2 */ "printing", \
	/* 3 */ "turning off", \
	/* 4 */ "report printing", \
	/* 5 */ "canceling", \
	/* 6 */ "i/o stall", \
	/* 7 */ "dry wait time", \
	/* 8 */ "pen change", \
	/* 9 */ "out of paper", \
	/* 10 */ "banner eject", \
	/* 11 */ "banner mismatch", \
	/* 12 */ "photo mismatch", \
	/* 13 */ "duplex mismatch", \
	/* 14 */ "media jam", \
	/* 15 */ "carriage stall", \
	/* 16 */ "paper stall", \
	/* 17 */ "pen failure", \
	/* 18 */ "hard error", \
	/* 19 */ "power down", \
	/* 20 */ "front panel test", \
	/* 21 */ "clean out tray missing", \
	/* 22 */ "output bin full", \
	/* 23 */ "media size mismatch", \
	/* 24 */ "manual duplex block", \
	/* 25 */ "service stall", \
	/* 26 */ "out of ink/toner", /* TODO switch between ink and toner */ \
	/* 27 */ "lio error", \
	/* 28 */ "pump stall", \
	/* 29 */ "tray 2 missing", \
	/* 30 */ "duplexer missing", \
	/* 31 */ "rear tray missing", \
	/* 32 */ "pen not latched", \
	/* 33 */ "battery very low", \
	/* 34 */ "spittoon full", \
	/* 35 */ "output tray closed", \
	/* 36 */ "manual feed blocked", \
	/* 37 */ "rear feed blocked", \
	/* 38 */ "tray 2 out of paper", \
	/* 39 */ "unable to load from locked tray", \
	/* 40 */ "non hp ink", \
	/* 41 */ "pen calibration resume", \
	/* 42 */ "media type mismatch", \
	/* 43 */ "custom media mismatch", \
	/* 44 */ "pen cleaning", \
	/* 45 */ "pen checking"
