/*
 * This file is part of hp-utils.
 * Copyright (C) 2008 Michael Denk
 *
 * hp-utils is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * hp-utils is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with hp-utils; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Michael Denk
 */

/* Original copyright notice of base/codes.py from HPLIP */
/* */
/* (c) Copyright 2003-2007 Hewlett-Packard Development Company, L.P. */
/* */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or */
/* (at your option) any later version. */
/* */
/* This program is distributed in the hope that it will be useful, */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the */
/* GNU General Public License for more details. */
/* */
/* You should have received a copy of the GNU General Public License */
/* along with this program; if not, write to the Free Software */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA */
/* */
/* Author: Don Welch */
/* */

#ifndef HP_LEVELS_H_
#define HP_LEVELS_H_ 1

#define AGENT_TYPE_UNKNOWN_STRING "unknown"
#define AGENT_TYPE_STRINGS \
	/* 0 */ "invalid", \
	/* 1 */ "black", \
	/* 2 */ "tri-color", \
	/* 3 */ "photo", \
	/* 4 */ "cyan" \
	/* 5 */ "magenta", \
	/* 6 */ "yellow", \
	/* 7 */ "photo cyan", \
	/* 8 */ "photo magenta", \
	/* 9 */ "photo yellow", \
	/* 10 */ "photo gray", \
	/* 11 */ "photo blue", \
	/* 12 */ "print head", \
	/* 13 */ "photo magenta and photo cyan", \
	/* 14 */ "black and yellow", \
	/* 15 */ "cyan and magenta", \
	/* 16 */ "light gray and photo black", \
	/* 17 */ "light gray", \
	/* 18 */ "medium gray", \
	/* 19 */ "photo gray"

#define AGENT_KIND_UNKNOWN_STRING "unknown"
#define AGENT_KIND_STRINGS \
	/* 0 */ "invalid", \
	/* 1 */ "head", \
	/* 2 */ "supply", \
	/* 3 */ "cartridge", \
	/* 4 */ "toner", \
	/* 5 */ "maintenance kit (fuser)", \
	/* 6 */ "document feeder (ADF) kit", \
	/* 7 */ "drum maintenance kit", \
	/* 8 */ "image transfer kit", \
	/* 9 */ "battery"

#define AGENT_LEVEL_TRIGGER_UNKNOWN_STRING "unknown"
#define AGENT_LEVEL_TRIGGER_STRINGS \
	"sufficient", \
	"sufficient", \
	"sufficient", \
	"sufficient", \
	"sufficient", \
	"may be low", \
	"probably out", \
	"almost definitely out"

#endif /* HP_LEVELS_H_ */
