/*
 * This file is part of hp-utils.
 * Copyright (C) 2008 Michael Denk
 *
 * hp-utils is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * hp-utils is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with hp-utils; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Michael Denk
 */

#ifndef MAINT_H
#define MAINT_H 1

#include "device.h"

#define MODE_HPMUD 0
#define MODE_PRINTSERV 1

int maint_clean_pcl(int lvl, int mode, struct device *d, const char *host,
		int port);
int maint_clean_lidil(int lvl, int mode, struct device *d, const char *host,
		int port);

#endif /* MAINT_H */
