/*
 * This file is part of hp-utils.
 * Copyright (C) 2008 Michael Denk
 *
 * hp-utils is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * hp-utils is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with hp-utils; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Michael Denk
 */

#ifndef PCL_H_
#define PCL_H_ 1

#define ESC "\x1b"
#define RESET "\x1b\x45"
#define UEL "\x1b%-12345X"
#define PJL_ENTER_LANG "@PJL ENTER LANGUAGE=PCL3GUI\n"
#define PJL_BEGIN_JOB "@PJL JOB NAME=\"unnamed\"\n"
#define PJL_END_JOB "@PJL EOJ\n"

size_t pcl_buildEmbeddedPML(char *buf, size_t size, const char *pml, size_t len);
size_t pcl_buildEmbeddedPML2(char *buf, size_t size, const char *pml, size_t len);
size_t pcl_buildPCLCmd(char *buf, size_t size, char punc, char letter1, char letter2, const char *data, size_t len, int value);

#endif
